* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* common */
a:hover{
    text-decoration: none;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
/* Navbar */
/* Navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar .logo-img {
    width: 100px;
    border-radius: 10px;
}
.navbar-collapse i {
    font-size: 1.8rem;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    color: black;
}
.navbar-collapse {
    display: flex;
    justify-content: flex-end;
}
.navbar-collapse.collapsing {
    justify-content: center;
    align-items: center;
    transition: all 0.5s ease-in-out;
}
.navbar-collapse.show {
    justify-content: center;
    align-items: center;
}
.navbar .nav-item {
    margin: auto;
} 
.navbar .navbar-toggler {
    background-color: black;
}
.navbar #icon-cart {
    position: relative;
}
.navbar #icon-cart span {
    position: absolute;
    bottom: -3px;
    right: -5px;

}
.navbar #icon-user {
    position: relative;
}
.navbar .user-info {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 40px;
    left: -75px;
    width: 140px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid black;
    padding: 15px;
}
.navbar .user-info i {
    display: inline-block;
}
.navbar .user-info a {
    display:block;
    font-size: 1.6rem;
    color: black;
    margin-bottom: 15px;
}
.navbar .user-info .btn-signout{
    padding: 5px 10px;
    color: white;
    background: black;
    border-radius: 5px;
}
.navbar #icon-search {
    position: relative;
}
.navbar #icon-search i{
    position: absolute;
    top: 5px;
    right: 5px;
    cursor: pointer;
}
.navbar .search-bar input {
    padding: 5px 10px;
    border-radius: 999px;
}
/* Path */
.path a {
    color: black;
}
/* Brand */
.brand {
    margin-top: 50px;
}

.brand .all-brands {
    margin-top: 10px;
    font-size: 2rem;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
}
.brand .all-brands h2 {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50px;
    border: 1px solid #ccc;
    border-radius: 10px;
    cursor: pointer;
}
.brand .block-brands img {
    margin-top: 10px;
    width: 100%;
    height: 50px;
    object-fit: contain;
    border: 1px solid #ccc;
    border-radius: 10px;
    cursor: pointer;
}
.brand img.active,
.brand h2.active {
    outline: 2px solid black;
    box-shadow: 0 10px 15px black;
}

/* Filter */
.filter .title {
    font-size: 2rem;
    margin-bottom: 20px;
}

.filter .list-filter {
    padding-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-bottom: 25px;
    border-bottom-right-radius: 20px;
}
.filter .list-filter .list-categories li{
    padding: 5px 10px;
}
.filter .apply-price {
    background: #000;
    color: #fff;
    padding: 3px 5px;
    border-radius: 999px;
}
.filter .list-filter .list-categories li.active{
    background: black;
    border-radius: 999px;
    color: #fff;
}
.filter .list-filter .price-range{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
    margin-bottom: 10px;
}
.filter .list-filter .price-range input {
    padding: 5px;
}
.filter .list-filter label {
    display: flex;
    align-items: center;
    gap: 20px;
}
.filter .list-categories li{
    margin-top: 20px;
    cursor: pointer;
}
.filter .list-filter input[type="checkbox"]{
    width: 20px;
    height: 20px;
    background: black;
}

.filter .list-filter input[type="radio"] {
    width: 20px;
    height: 20px;
}

.filter .rating ul li{
    display: flex;
    align-items: center;
    gap: 5px;
}
.filter .list-filter .fa-star {
    color: orange;
}
.filter-icon {
    z-index: 99;
    position: fixed;
    bottom: 20px;
    left: 20px;
    padding: 5px;
    border-radius: 999px;
    cursor: pointer;
    display: none;
    background: #fff;
    outline: 1px solid black;
}
.filter .icon-close {
    display: none;
}
/* products */
.product .item img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 8px;
}
.product .item a {
    width: 100%;
    display: block;
}
.product .item {
    display: flex;
    flex-direction: column ;
    align-items: flex-start;
    margin-top: 40px;
    border-radius: 8px;
    padding: 10px;
    border: 1px solid #ccc;
}

.product .item:hover {
    transform: translateY(-10px);
    box-shadow: 0px 18px 36px rgba(0, 0, 0, 0.1);
    transition: all 0.5s ease;
    outline: 1.5px solid red;
}

.product .product-name {
    margin-top: 30px;
    font-size: 1.3rem;
    font-weight: 500;
}
.product .price {
    margin-top: 20px;
    font-size: 1.6rem;
    color: red;
    font-weight: 500;
}
.product .discount {
    text-decoration: line-through;
    color: black;
}
.product .stock {
    margin-top: 10px;
    font-size: 1.2rem;
    font-weight: 500;
    color: slategrey;
}
.product .btn-block{
    margin-top: 50px;
}
.product .btn-see-more{
    padding: 15px 20px;
    background-color: black;
    color: #fff;
    border-radius: 5px;
}

.product .cart-block {
    width: 100%;
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.product .cart-block .btn-add-cart {
    background-color: transparent;
    color: black;
    padding: 8px 12px;
    border: 1px solid black;
    border-radius: 999px;
}
.product .cart-block .btn-add-cart:hover {
    background-color: black;
    color: #fff;
}
.product .cart-block .fa-heart {
    color: palevioletred;
    margin-left: 10px;
    font-size: 2rem;
    cursor: pointer;
}

/* Page */
.page .pagination a {
    color: black;
}
.page-link.actives{
    color: #ccc;
    user-select: none;
}

/* To the top */
.to-top {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    cursor: pointer;
    z-index: 99;
    background:#fff;
    padding: 5px;
    border-radius: 999px;
    outline: 1px solid black;
}
.to-top a {
    color: #000;
}
/* Store */
.stores {
    margin-top: 65px;
}
.stores .title {
    font-size: 3rem;
}

.stores .store-list {
    margin-top: 20px;
}
.stores .store-item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
.store-list .store-title {
    width: 100%;
    font-size: 1.6rem;
    background: #dc3545;
    padding: 5px 10px;
    color: white;
    border-radius: 5px;
}
.store-list .address {
    color: rgb(139, 103, 56);
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
    line-height: 1.3;
}
.store-list .phone {
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
}
/* footer */
.footer {
    margin-top: 100px;
    padding-top: 100px;
    padding-bottom: 50px;
    background: #ccc;
}

.footer .footer-list {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer .footer-social{
margin-top: 120px;
}
.footer .footer-list .title {
    font-size: 2rem;
    font-weight: 600;
}

.footer .footer-list .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    color: rgba(0, 0, 0, 0.658);
}
.footer .footer-social img{
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.footer .footer-social {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.footer .social-block {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.footer .social-block a {
    font-size: 3rem;
    color: rgba(0, 0, 0, 0.8);
}

/* responsive */
@media only screen and (max-width: 1200px) {
    /* Product */
    .product .item img {
        height: 80px;
    }
    .product .product-name {
        margin-top: 15px;
        font-size: 1.2rem;
    }
    .product .price {
        margin-top: 20px;
        font-size: 1.2rem;
        color: red;
        font-weight: 500;
    }
}
@media only screen and (max-width: 992px) {

    /* Product */
    .product .item img {
        height: 80px;
    }
}
@media only screen and (max-width: 768px) {
    /* Brand */
    .brand .all-brands {
        font-size: 1.2rem;
    }
    /* Filter */
    .filter {
        position: fixed;
        z-index: 100;
        background: #fff;
        top: 50px;
        bottom: 0;
        left: 0;
        border-right: 1px solid black;
        border-bottom: 1px solid black;
        transform: translateX(-150%);
        transition: all 1s ease;
    }
    .filter .list-filter {
        gap: 10px;
    }
    .filter .title {
        font-size: 1.8rem;
        margin-bottom: 30px;
    }
    .filter .list-filter .list-categories li{
       font-size: 1.2rem;
    }
    .filter .list-filter label {
        font-size: 1.2rem;
    }
    .filter-icon {
        display: block;
    }
    .filter .icon-close {
        display: block;
        position: absolute;
        top: 20px;
        right: 5px;
        z-index: 101;
        cursor: pointer;
    }
    /* Product */
    .product .item img {
        height: 80px;
    }
    /* To top */
    .to-top {
        display: block;
    }
}
@media only screen and (max-width: 567px) {
    .brand .all-brands {
        font-size: 1.2rem;
    }
    /* Navbar */
    .navbar #icon-cart span{
        bottom: 13px ;   
        right: -20px ;   
    }
    /* Filter */
    .filter {
        position: fixed;
        z-index: 100;
        background: #fff;
        top: 50px;
        bottom: 0;
        border-right: 1px solid black;
        border-bottom: 1px solid black;
        transform: translateX(-120%);
        transition: all 1s ease;
    }
    .filter .list-filter {
        gap: 10px;
    }
    .filter .title {
        font-size: 1.8rem;
        margin-bottom: 30px;
    }
    .filter .list-filter .list-categories li{
       font-size: 1.2rem;
    }
    .filter .list-filter label {
        font-size: 1.2rem;
    }
    .filter-icon {
        display: block;
    }
    .filter .icon-close {
        display: block;
        position: absolute;
        top: 20px;
        right: 5px;
        z-index: 101;
        cursor: pointer;
    }
    /* To top */
    .to-top {
        display: block;
    }
}